Bug 1063671 (CVE-2014-1934) - CVE-2014-1934 python-eyed3: insecure temporary file creation
Summary: CVE-2014-1934 python-eyed3: insecure temporary file creation
Status: CLOSED ERRATA
Alias: CVE-2014-1934
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140129,reported=2...
Keywords: Security
Depends On: 1063672 1063673
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 08:39 UTC by Murray McAllister
Modified: 2015-11-13 02:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-13 02:41:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sym link attact patch (1.89 KB, patch)
2014-11-19 01:16 UTC, Niranjan Mallapadi Raghavender
no flags Details | Diff
python-eyed3 spec file (3.96 KB, text/plain)
2014-11-19 02:37 UTC, Niranjan Mallapadi Raghavender
no flags Details
Modified sym link attack patch (1.75 KB, patch)
2014-11-19 02:38 UTC, Niranjan Mallapadi Raghavender
no flags Details | Diff

Description Murray McAllister 2014-02-11 08:39:08 UTC
Jakub Wilk discovered two instances in tag.py where temporary files were created insecurely via mktemp(). A local attacker could use this flaw to perform a symbolic link attack to modify an arbitrary file.

Further details are available in the original report: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=737062

Comment 1 Murray McAllister 2014-02-11 08:40:43 UTC
Created python-eyed3 tracking bugs for this issue:

Affects: fedora-all [bug 1063672]
Affects: epel-6 [bug 1063673]

Comment 2 Niranjan Mallapadi Raghavender 2014-09-09 03:58:30 UTC
Upstream has fixed the Issue: 
https://bitbucket.org/nicfit/eyed3/commits/372bbacb7a70

Comment 3 Niranjan Mallapadi Raghavender 2014-11-19 01:16:19 UTC
Created attachment 958810 [details]
sym link attact patch

Protect against sym link attack in tag.py

Comment 4 Niranjan Mallapadi Raghavender 2014-11-19 02:37:14 UTC
Created attachment 958847 [details]
python-eyed3 spec file

Modified python-eyed3 spec file containing sym link attack patch. This Patch is for fedora 20.

Comment 5 Niranjan Mallapadi Raghavender 2014-11-19 02:38:31 UTC
Created attachment 958849 [details]
Modified sym link attack patch

Modified the patch so that python-eyed3 can be built successfully with this patch.

Comment 6 Fedora Update System 2014-12-01 19:04:25 UTC
python-eyed3-0.7.4-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-12-01 19:04:31 UTC
python-eyed3-0.7.4-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-12-05 01:14:21 UTC
python-eyed3-0.7.4-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-12-05 01:14:27 UTC
python-eyed3-0.7.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-12-06 10:14:25 UTC
python-eyed3-0.7.4-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.